xcf2pnm(1)

NAVN
xcfview - fremvis xcf-filer fra GIMP

OVERBLIK
xcfview [ flag ] filnavn [ lagnavne ]

BESKRIVELSE
xcfview er et omslagsprogram som bruger xcf2png(1) eller xcf2pnm(1) (se disse) til at fladgøre et XCF-billede, og dernæst viser det med et PNG- eller PPM-fremviserprogram, som findes gennem mailcap(5)-databasen.

FLAG
Alle kommandolinjeargumenter til xcfview bliver videregivet direkte til den xcf2png- eller xcf2pnm-kommando som konverterer XCF-billedet. Det er ikke helt forudsigeligt hvilket konverteringsprogram der bliver brugt, så man bør holde sig til flag der forstås af begge disse programmer:

--mask
    Aktivér lagmasken.

--mode mode
    Vælg lagtilstanden (fx Normal eller LægTil).

--nomask
    Deaktivér lagmasken.

--opacity n
    Vælg gennemsigtighed på en skala fra 0 (helt gennemsigtigt) til 255 (helt ugennemsigtig).

--percent n
    Vælg gennemsigtighed på en skala fra 0 (helt gennemsigtigt) til 100 (helt ugennemsigtig).

-A, --force-alpha
    Konstruér en triviel gennemsigtighedskanal selvom billedet er fuldstændig ugennemsigtigt.

-b farve, --background farve
    Giv gennemsigtige partier af billedet denne farve. Baggrundsfarven kan angives hexadecimalt som #rrggbb eller #rgb, eller med et X11-farvenavn (sidstnævnte virker kun hvis der kan findes en database med farvenavne i en standardplacering).

-c, --color, --colour
    Brug RGB-format for uddata selvom der er mere kompakte alternative formater.

-C, --autocrop
    Placer det konvertede område af billedet til så det netop dækker alle de synlige (eller valgte) lag. Billedet kan blive større eller mindre end lærredet, afhængigt af de synlige lags størrelse og placering. (Bemærk at tilskæringen ikke tager hensyn til indholdet af lagene).

    Normalt vil det konverterede område være det samme som XCF-lærredet.

-D, --dissolve
    Foretag et "opløs"-skridt for at udrydde delvis gennemsigtighed i det fladgjorte billede. Hvis -b-flaget også gives, sker dette før baggrundsfarven påføres.

-f, --full-image
    Start med at fladgøre hele billedet til RAM, og analysér så billedet før detaljerne i uddataformatet bliver besluttet (fx om gråtoner er tilstrækkeligt til at repræsentere billeder). Hvis dette flag ikke gives, vil programmet nøjes med at fladgøre en enkelt række "fliser" (af højden 64 pixels) ad gangen.

-g, --gray, --grey
    Repræsentér uddata som gråtoner selv hvis det er rent sort/hvidt. Stop med afslutningskode 103 hvis der mødes nogen farvede pixels. Dette bliver valgt automatisk hvis uddatafilens navn ender på .pgm.

-G, --for-gif
    Påstå at der ikke er nogen delvist gennemsigtige pixels i uddata (hvilket muliggør en effektivere repræsentation af gennemsigtighed i uddata). Stop med afslutningskode 102 hvis der alligevel findes nogen delvist gennemsigtige pixels. Hvis -b-flaget også gives, handler denne test om om der er delvist gennemsigtige pixels over den angivne baggrund.

-h, --help
    Udskriv en oversigt over flag og kommandolinjesyntaks, og afslut med kode 0.

-j, --bzip
    Gør det samme som -Z bzcat. Vælges automatisk hvis filnavnet slutter med bz2.

-o filnavn, --output filnavn
    Skriv det konverterede billede til filnavn i stedet for til standarduddata.

-O x,y, --offset x,y
    Forskyd det konverterede billede fra det øverste venstre hjørne af XCF-lærredet. Bruges normalt sammen med -S.

-S bxh, --size bxh
    Beskær det konverterede billede til bredde b og højde b.

-T, --truecolor
    Brug fuldt RGB-farverum til at fladgøre indekserede billeder. Hvis dette flag ikke gives, vil xcfview efterligne Gimps nuværende princip, hvor gennemsigtigheden af hver pixel afrundes til enten "helt gennemsigtig" eller "helt ugennemsigtig", og fortolke alle lagtilstande som Normal.

-u, --utf8
    Brug den rå UTF-8-repræsentation fra XCF-filen til at sammenligne og vise lagnavne. Normalt forsøger programmet at transkribere lagnavnene til det tegnsæt der angives af lokalitetsinstillingen.

-v, --verbose
    Giv fremgangsbeskeder til standardfejl undervejs.

-V, --version
    Skriv versionsnummeret for xcftools til standarduddata, og afslut med kode 0.

-z, --gzip
    Gør det samme som -Z zcat. Vælges automatisk hvis filnavnet slutter med gz.

-Z kommando, --unpack kommando
    Angiv en kommando som inddatafilen skal behandles af før den kan fortolkes som XCF-fil. Kommandoen bliver startet som kommando filnavn, og skal skrive sit resultat til standarduddata. Bemærk at kommando ikke kan indeholde argumenter. Hvis filnavnet ender på gz eller bz2, vil et udpakkeprogram blive valgt automatisk; dette kan slås fra ved at angive -Z cat (hvilket bliver optimeret så der ikke faktisk bliver startet end cat(1)-proces).

AFSLUTNINGSKODER
Afslutningskoden er 0 hvis alt gik godt. Opstår der fejl, vil afslutningskoden være forskellig fra 0; den præcise værdi kan enten komme fra konverteringsprogrammet eller fra fremviserprogrammet.

FORFATTER
xcfview og denne manualside er skrevet af Henning Makholm <henning@makholm.net>.

Dele af programmet stammer fra skripte run-mailcap(1) af Brian White <bcwhite@pobox.com>.

SE OGSÅ
xcf2pnm(1), xcf2png(1)